//
//  HomeView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 9/30/23.
//

import SwiftUI

struct HomeView: View {
    let selectedRole: String
    
    init(selectedRole: String) {
        self.selectedRole = selectedRole
    }

    var body: some View {
        if selectedRole == "Pet Parent" {
            PetParentHomeView()
        } else {
            CaregiverHomeView()
        }
    }
}

