//
//  Prescriptions.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 12/5/23.
//

import SwiftUI

struct Prescriptions: View {
    var body: some View {
        NavigationView {
            ZStack {
                VStack(spacing: 24) {
                    Text("Here are Burnley's current medications:")
                    ZStack {
                        RoundedRectangle(cornerRadius: 10)
                            .fill(.white)
                            .frame(width: 340.0, height: 200)
                            .shadow(radius: 2)
                        VStack(alignment: .leading) {
                            HStack {
                                Image("Pills")
                                    .resizable()
                                    .frame(width: 40.0, height: 40.0)
                                Text("Phenobarbital")
                                    .font(.custom("Poppins-Bold", size: 18))
                            }
                            .padding(.trailing)
                            
                            Text("Give one tablet orally twice every day for epilepsy treatment.")
                                .multilineTextAlignment(.leading)
                            HStack(spacing: 30) {
                                HStack {
                                    Image("Calendar")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("Daily")
                                }
                                HStack {
                                    Image("Clock")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("9AM")
                                }
                                HStack {
                                    Image("Clock")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("9PM")
                                }
                            
                            }
                            .padding(.top)                     }
                        .padding()
                        .frame(width: 340.0, height: 200)
                        
                    }
                    ZStack {
                        RoundedRectangle(cornerRadius: 10)
                            .fill(.white)
                            .frame(width: 340.0, height: 200)
                            .shadow(radius: 2)
                        VStack(alignment: .leading) {
                            HStack {
                                Image("Pills")
                                    .resizable()
                                    .frame(width: 40.0, height: 40.0)
                                Text("Keppra")
                                    .font(.custom("Poppins-Bold", size: 18))
                            }
                            .padding(.trailing)
                            Text("Give one tablet orally twice every day for epilepsy treatment.")
                                .multilineTextAlignment(.leading)
                            HStack(spacing: 30) {
                                HStack {
                                    Image("Calendar")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("Daily")
                                }
                                HStack{
                                    Image("Clock")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("9AM")
                                }
                                HStack {
                                    Image("Clock")
                                        .resizable()
                                        .frame(width: 20.0, height: 20.0)
                                    Text("9PM")
                                }
                            }
                            .padding(.top)                    }
                        .padding()
                        .frame(width: 340.0, height: 200)
                        
                        
                    }
                    Spacer()
                }
                .padding()
                
            Image("Meds")
                .resizable()
                .frame(width: 65.0, height: 65.0)
                .offset(x: 120, y: -335)

            }
            .navigationTitle("Prescriptions")

        }
        .tint(CustomColor.myColor)

    }
}

struct Prescriptions_Previews: PreviewProvider {
    static var previews: some View {
        Prescriptions()
    }
}
