//
//  TopBarView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 11/12/23.
//

import SwiftUI

struct TopBarView: View {
    var body: some View {
        HStack {
            Spacer()
            Image("LogoWhite")
                .resizable()
                .scaledToFit()
                .frame(width: 100.0, height: 100.0)
                .padding(.bottom)
            Spacer()
        }
        .frame(height: 80)
        .background(CustomColor.myColor)
    }
}


struct TopBarView_Previews: PreviewProvider {
    static var previews: some View {
        TopBarView()
    }
}
